package cz.cuni.amis.pogamut.ut2004.communication.translator.itemdescriptor;

import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.ItemCategory;

/**
 *
 *
 * @author Ondrej
 */
public class GeneralDescriptorFactory implements IDescriptorFactory<GeneralDescriptor> {
	
	private static GeneralDescriptorFactory instance = new GeneralDescriptorFactory();
	
	private GeneralDescriptorFactory() {}
	
	public static GeneralDescriptorFactory getInstance() {
		return instance;
	}

	@Override
	public GeneralDescriptor getNewDescriptor(ItemTyped configMsg) {
		return new GeneralDescriptor(configMsg);
	}

}

